SDL_waylanddatamanager.h File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_waylandvideo.h"`
`#include "SDL_waylandwindow.h"`
Include dependency graph for SDL_waylanddatamanager.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_MimeDataList
struct | SDL_WaylandDataSource
struct | SDL_WaylandDataOffer
struct | SDL_WaylandDataDevice

## Macros

#define | TEXT_MIME "text/plain;charset=utf-8"
#define | FILE_MIME "text/uri-list"

## Functions

const char * | Wayland_convert_mime_type (const char *mime_type)
SDL_WaylandDataSource * | Wayland_data_source_create (_THIS)
ssize_t | Wayland_data_source_send (SDL_WaylandDataSource *source, const char *mime_type, int fd)
int | Wayland_data_source_add_data (SDL_WaylandDataSource *source, const char *mime_type, const void *buffer, size_t length)
SDL_bool | Wayland_data_source_has_mime (SDL_WaylandDataSource *source, const char *mime_type)
void * | Wayland_data_source_get_data (SDL_WaylandDataSource *source, size_t *length, const char *mime_type, SDL_bool null_terminate)
void | Wayland_data_source_destroy (SDL_WaylandDataSource *source)
void * | Wayland_data_offer_receive (SDL_WaylandDataOffer *offer, size_t *length, const char *mime_type, SDL_bool null_terminate)
SDL_bool | Wayland_data_offer_has_mime (SDL_WaylandDataOffer *offer, const char *mime_type)
int | Wayland_data_offer_add_mime (SDL_WaylandDataOffer *offer, const char *mime_type)
void | Wayland_data_offer_destroy (SDL_WaylandDataOffer *offer)
int | Wayland_data_device_clear_selection (SDL_WaylandDataDevice *device)
int | Wayland_data_device_set_selection (SDL_WaylandDataDevice *device, SDL_WaylandDataSource *source)
int | Wayland_data_device_set_serial (SDL_WaylandDataDevice *device, uint32_t serial)

## Macro Definition Documentation

## FILE_MIME

#define FILE_MIME "text/uri-list"

Definition at line 31 of file SDL_waylanddatamanager.h.

## TEXT_MIME

#define TEXT_MIME "text/plain;charset=utf-8"

Definition at line 30 of file SDL_waylanddatamanager.h.

## Function Documentation

## Wayland_convert_mime_type()

const char* Wayland_convert_mime_type | ( | const char * | mime_type | ) |

## Wayland_data_device_clear_selection()

int Wayland_data_device_clear_selection | ( | SDL_WaylandDataDevice * | device | ) |

## Wayland_data_device_set_selection()

int Wayland_data_device_set_selection | ( | SDL_WaylandDataDevice * | device,
|  | SDL_WaylandDataSource * | source
| ) |  |

## Wayland_data_device_set_serial()

int Wayland_data_device_set_serial | ( | SDL_WaylandDataDevice * | device,
|  | uint32_t | serial
| ) |  |

## Wayland_data_offer_add_mime()

int Wayland_data_offer_add_mime | ( | SDL_WaylandDataOffer * | offer,
|  | const char * | mime_type
| ) |  |

## Wayland_data_offer_destroy()

void Wayland_data_offer_destroy | ( | SDL_WaylandDataOffer * | offer | ) |

## Wayland_data_offer_has_mime()

SDL_bool Wayland_data_offer_has_mime | ( | SDL_WaylandDataOffer * | offer,
|  | const char * | mime_type
| ) |  |

## Wayland_data_offer_receive()

void* Wayland_data_offer_receive | ( | SDL_WaylandDataOffer * | offer,
|  | size_t * | length,
|  | const char * | mime_type,
|  | SDL_bool | null_terminate
| ) |  |

## Wayland_data_source_add_data()

int Wayland_data_source_add_data | ( | SDL_WaylandDataSource * | source,
|  | const char * | mime_type,
|  | const void * | buffer,
|  | size_t | length
| ) |  |

## Wayland_data_source_create()

SDL_WaylandDataSource* Wayland_data_source_create | ( | _THIS |  | ) |

## Wayland_data_source_destroy()

void Wayland_data_source_destroy | ( | SDL_WaylandDataSource * | source | ) |

## Wayland_data_source_get_data()

void* Wayland_data_source_get_data | ( | SDL_WaylandDataSource * | source,
|  | size_t * | length,
|  | const char * | mime_type,
|  | SDL_bool | null_terminate
| ) |  |

## Wayland_data_source_has_mime()

SDL_bool Wayland_data_source_has_mime | ( | SDL_WaylandDataSource * | source,
|  | const char * | mime_type
| ) |  |

## Wayland_data_source_send()

ssize_t Wayland_data_source_send | ( | SDL_WaylandDataSource * | source,
|  | const char * | mime_type,
|  | int | fd
| ) |  |